Bug 1002685 - /app/console/applications fails for mixed case domains
/app/console/applications fails for mixed case domains
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Master (Show other bugs)
2.x
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Clayton Coleman
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-29 13:35 EDT by Andy Grimm
Modified: 2016-11-07 22:47 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-19 12:48:34 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andy Grimm 2013-08-29 13:35:33 EDT
For users with mixed case domain namespaces,  https://openshift.redhat.com/app/console/applications returns a "Domain <XXX> does not exist" error message.
Comment 1 Clayton Coleman 2013-08-29 13:48:35 EDT
Looking up applications by domain isn't downcasing domain ids.  Fixed in https://github.com/openshift/origin-server/pull/3519 and to stage for possible hotfix in https://github.com/openshift/origin-server/pull/3520
Comment 2 openshift-github-bot 2013-08-29 15:03:05 EDT
Commit pushed to master at https://github.com/openshift/origin-server

https://github.com/openshift/origin-server/commit/fcd3dc22413591000f35820be7a9e42cd5c9c1c5
Bug 1002685 - Downcase domain names when fetching applications by domain

The domain_id lookup for applications scoped to a domain was not properly lowercasing the namespace
Comment 3 Jianwei Hou 2013-08-29 22:05:25 EDT
Verified on devenv_3726

Create a domain with mixed cases:
rhc create-domain jHoU

Go to webconsole $broker/app/console/applications, no error is seen.

Note You need to log in before you can comment on or make changes to this bug.